{ *************************************************************************** }
{                                                                             }
{ Hotzonu 2 Be2ch Profile Editor Unit                                         }
{                                                                             }
{ 2001-05 Hotzonu Project, Monazilla Software Foundation 2001                 }
{                                                                             }
{ *************************************************************************** }

unit BeProfileDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Dlghead, StdCtrls, Be2chModule;

type
  TBeProfileDialog = class(TForm)
    HeaderFrame1: THeaderFrame;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    edtMoritapo: TEdit;
    edtRank: TEdit;
    edtName: TEdit;
    edtMemo: TMemo;
    Button6: TButton;
    Button7: TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
  end;

var
  BeProfileDialog: TBeProfileDialog;

implementation

{$R *.dfm}

procedure TBeProfileDialog.FormCreate(Sender: TObject);
begin
  //
end;

procedure TBeProfileDialog.FormShow(Sender: TObject);
var
  p: TBe2chProfile;
begin
  Be2chManager.GetMyProfile(p);
  edtMoritapo.Text    :=  p.beMoritapo;
  edtRank.Text        :=  p.beRank;
  edtName.Text        :=  p.beName;
  edtMemo.Lines.Text  :=  p.beMemo;
end;

procedure TBeProfileDialog.Button6Click(Sender: TObject);
var
  p: TBe2chProfile;
begin
  p.beMoritapo        :=  edtMoritapo.Text;
  p.beRank            :=  edtRank.Text;
  p.beName            :=  edtName.Text;
  p.beMemo            :=  edtMemo.Lines.Text;
  Be2chManager.SetMyProfile(p);
  Close;
end;

procedure TBeProfileDialog.Button7Click(Sender: TObject);
begin
  Close;
end;

end.
