unit Exifdlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Dlghead, ComCtrls, Grids, ValEdit;

type
  TExifDialog = class(TForm)
    HeaderFrame1: THeaderFrame;
    ValueListEditor1: TValueListEditor;
    StatusBar1: TStatusBar;
  private
    { Private 錾 }
  public
    { Public 錾 }
    //function LoadExif(const AFileName: string): boolean;
  end;

var
  ExifDialog: TExifDialog;

implementation

{$R *.dfm}

uses
  Exifunit;

{ TExifDialog }
{

function TExifDialog.LoadExif(const AFileName: string): boolean;
var
  fs: TFileStream;
  sl: TStringList;
begin
  Result  :=  True;
  fs  :=  TFileStream.Create(AFileName, fmOpenRead or fmShareDenyWrite);
  try
    sl  :=  TStringList.Create;
    try
      GetExifFromJPEG(sl, fs);
      if  (sl.Count > 0)  then  begin
        ValueListEditor1.Strings.Assign(sl);
      end else begin
        Result  :=  False;
      end;
    finally
      sl.Free;
    end;
  finally
    fs.Free;
  end;
end;

}
end.
