{ *************************************************************************** }
{                                                                             }
{ Hotzonu 2 ToolBar Customize Dialog Unit                                     }
{                                                                             }
{ 2001-04 Hotzonu Project, Monazilla Software Foundation 2001                 }
{                                                                             }
{ *************************************************************************** }

unit Hzb10vw;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Dlghead, StdCtrls, Buttons, ExtCtrls, ComCtrls, Main;

type
  THzb10ViewMode = class(TForm)
    HeaderFrame1: THeaderFrame;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Label1: TLabel;
    Label2: TLabel;
    Bevel1: TBevel;
    CheckBox1: TCheckBox;
    Shape1: TShape;
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
  end;

var
  Hzb10ViewMode: THzb10ViewMode;

implementation

{$R *.dfm}

uses
  Hzbfunc, ZonuConf, Hzbconst;

procedure THzb10ViewMode.BitBtn1Click(Sender: TObject);
const
  HZB10_TOOLBAR   = 'toolbar_hzb10.ini';
  HZB10_POPUPMENU = 'popup_hzb10.ini';
begin
  if  (CheckBox1.Checked) then  begin
    if  (FileExists(ZonuConfig.AppPath + PATH_DEF + HZB10_TOOLBAR)) then  begin
      DeleteFile(ZonuConfig.UsersPath + FILE_TOOLBAR_INI);
      CopyFile(PChar(ZonuConfig.AppPath + PATH_DEF + HZB10_TOOLBAR),
               PChar(ZonuConfig.UsersPath + FILE_TOOLBAR_INI),
               False);
      LoadToolButtons(ZonuConfig.UsersPath + FILE_TOOLBAR_INI, HotzonuWindow.MainActToolBar);
      LoadToolButtons(ZonuConfig.UsersPath + FILE_TOOLBAR_INI, HotzonuWindow.ThreadListActToolBar);
      LoadToolButtons(ZonuConfig.UsersPath + FILE_TOOLBAR_INI, HotzonuWindow.BrowserActToolBar);
      LoadToolButtons(ZonuConfig.UsersPath + FILE_TOOLBAR_INI, HotzonuWindow.AppActToolBar);
      LoadToolButtons(ZonuConfig.UsersPath + FILE_TOOLBAR_INI, HotzonuWindow.GaishutuToolBar);
    end;
    if  (FileExists(ZonuConfig.AppPath + PATH_DEF + HZB10_POPUPMENU)) then  begin
      DeleteFile(ZonuConfig.UsersPath + FILE_POPUPMENU_INI);
      CopyFile(PChar(ZonuConfig.AppPath + PATH_DEF + HZB10_POPUPMENU),
               PChar(ZonuConfig.UsersPath + FILE_POPUPMENU_INI),
               False);
      LoadPopupMenuItems(ZonuConfig.UsersPath + FILE_POPUPMENU_INI, HotzonuWindow.BoardListPopup);
      LoadPopupMenuItems(ZonuConfig.UsersPath + FILE_POPUPMENU_INI, HotzonuWindow.ThreadListPopup);
      LoadPopupMenuItems(ZonuConfig.UsersPath + FILE_POPUPMENU_INI, HotzonuWindow.ThreadItemPopup);
      LoadPopupMenuItems(ZonuConfig.UsersPath + FILE_POPUPMENU_INI, HotzonuWindow.BrowserPopup);
      LoadPopupMenuItems(ZonuConfig.UsersPath + FILE_POPUPMENU_INI, HotzonuWindow.ResPopup);
    end;
    ZonuConfig.Fini.WriteInteger('COOLBAR1', 'BAND0ID', 0);
    ZonuConfig.Fini.WriteInteger('COOLBAR1', 'BAND0WD', 540);
    ZonuConfig.Fini.WriteInteger('COOLBAR1', 'BAND0BR', 1);
    ZonuConfig.Fini.WriteInteger('COOLBAR1', 'BAND1ID', 1);
    ZonuConfig.Fini.WriteInteger('COOLBAR1', 'BAND1WD', 695);
    ZonuConfig.Fini.WriteInteger('COOLBAR1', 'BAND1BR', 0);
    ZonuConfig.Fini.WriteInteger('COOLBAR1', 'BAND2ID', 2);
    ZonuConfig.Fini.WriteInteger('COOLBAR1', 'BAND2WD', 80);
    ZonuConfig.Fini.WriteInteger('COOLBAR1', 'BAND2BR', 1);
    ZonuConfig.Fini.WriteInteger('COOLBAR1', 'BAND3ID', 3);
    ZonuConfig.Fini.WriteInteger('COOLBAR1', 'BAND3WD', 349);
    ZonuConfig.Fini.WriteInteger('COOLBAR1', 'BAND3BR', 0);
    ZonuConfig.Fini.WriteInteger('COOLBAR1', 'BAND4ID', 4);
    ZonuConfig.Fini.WriteInteger('COOLBAR1', 'BAND4WD', 804);
    ZonuConfig.Fini.WriteInteger('COOLBAR1', 'BAND4BR', 0);
    ZonuConfig.Fini.WriteString('COOLBAR1', 'BAND0CAP', 'MenuBar1');
    ZonuConfig.Fini.WriteString('COOLBAR1', 'BAND1CAP', 'ToolBar7');
    ZonuConfig.Fini.WriteString('COOLBAR1', 'BAND2CAP', 'GaishutuToolBar');
    ZonuConfig.Fini.WriteString('COOLBAR1', 'BAND3CAP', 'MainActToolBar');
    ZonuConfig.Fini.WriteString('COOLBAR1', 'BAND4CAP', '');
    ZonuConfig.ShortcutBarPos             :=  ttpShowTop;
    ZonuConfig.ThreadListTabPos           :=  tpBottom;
    ZonuConfig.ThreadListToolbarPosition  :=  alTop;
    ZonuConfig.BrowserTabPos              :=  tpBottom;
    ZonuConfig.BrowserToolbarPosition     :=  alTop;
    if  (not HotzonuWindow.actShowThreadList2.Checked)  then  begin
      HotzonuWindow.actShowThreadList2.Execute;
    end;
    if  (not HotzonuWindow.actShowBrowser.Checked)  then  begin
      HotzonuWindow.actShowBrowser.Execute;
    end;
    HotzonuWindow.InitScreenConfig;
    HotzonuWindow.ResetToolBarPos;
    HotzonuWindow.ThreadListActToolBar.Realign;
    HotzonuWindow.BrowserActToolBar.Realign;
  end;
  Close;
end;

end.
